%global commit 106418570a0ecc33b35439e24b051be34f829b94
%global shortcommit %(c=%{commit}; echo ${c:0:7})


Name:           vim-promptline
Version:        20240603
Release:        1%{?dist}
Summary:        Generate a fast shell prompt with powerline symbols and airline colors

License:        MIT
URL:            https://github.com/edkolev/promptline.vim
Source0:        %{url}/archive/%{commit}/promptline.vim-%{version}-git%{shortcommit}.tar.gz

# Added metainfo per
# https://docs.fedoraproject.org/en-US/packaging-guidelines/AppData/#_metainfo_xml_file_creation
Source1:        vim-promptline.metainfo.xml

Requires:       vim-common

# TODO: These are needed by %%transfiletrigger provided by vim-commons,
# not sure how to get rid of these ATM :/
Requires(post): vim
Requires(postun): vim

# Needed for AppData check.
BuildRequires:  libappstream-glib

# Defines %%vimfiles_root
BuildRequires:  vim-filesystem
BuildArch:      noarch

%description
Generate a fast shell prompt with powerline symbols and airline colors.


%prep
%autosetup -n promptline.vim


%build
# Nothing to build. We are just copying files to the filesystem


%install
mkdir -p %{buildroot}%{vimfiles_root}
cp -ar {autoload,doc,plugin} %{buildroot}%{vimfiles_root}

# Install AppData.
mkdir -p %{buildroot}%{_metainfodir}
install -m 644 %{SOURCE1} %{buildroot}%{_metainfodir}


%check
# Check the AppData add-on to comply with guidelines.
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml


%files
%doc README.md CONTRIBUTORS.md
%license LICENSE
%doc %{vimfiles_root}/doc/promptline.txt
%{vimfiles_root}/autoload/promptline
%{vimfiles_root}/autoload/promptline.vim
%{vimfiles_root}/plugin/promptline.vim
%{_metainfodir}/vim-promptline.metainfo.xml


%changelog
* Mon Jun 03 2024 Patrick Laimbock <patrick@laimbock.com> - 20240603-1
- rebuild for F40

* Tue Apr 18 2023 Patrick Laimbock <patrick@laimbock.com> - 20230418-1
- initial package
- based on git commit 106418570a0ecc33b35439e24b051be34f829b94

